#### Linux From Scratch - Version r13.0-6

### Chapter 8. Installing Basic System Software

- Prev

  Libffi-3.5.2

- Next

  Python-3.14.3

- Up
- Home

# 8.52. Sqlite-3510300

The Sqlite package is a software library that implements a self-contained, serverless, zero-configuration, transactional SQL database engine.

Approximate build time: 0.4 SBU
Required disk space: 124 MB

## 8.52.1. Installation of Sqlite

Unpack the documentation:

    tar -xf ../sqlite-doc-3510300.tar.xz

Prepare Sqlite for compilation with:

    ./configure --prefix=/usr     \
                --disable-static  \
                --enable-fts{4,5} \
                CPPFLAGS="-D SQLITE_ENABLE_COLUMN_METADATA=1 \
                          -D SQLITE_ENABLE_UNLOCK_NOTIFY=1   \
                          -D SQLITE_ENABLE_DBSTAT_VTAB=1     \
                          -D SQLITE_SECURE_DELETE=1"

The meaning of the configure options:

`--enable-fts{4,5}`

  These switches enable support for version 4 and 5 of the full text search (FTS) extension.

`CPPFLAGS="-D SQLITE_ENABLE_COLUMN_METADATA=1 ...`

  Some applications require these options to be turned on. The only way to do this is to include them in the CFLAGS or CPPFLAGS. We use the latter so the default value (or any value set by the user) of CFLAGS won't be affected. For further information on what can be specified see https://www.sqlite.org/compile.html.

Compile the package:

    make LDFLAGS.rpath=""

The `LDFLAGS.rpath=""` option prevents hard coding library search paths (rpath) into the shared library. This package does not need rpath for an installation into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

This package does not come with a test suite.

Install the package:

    make install

If desired, install the documentation:

    install -v -m755 -d /usr/share/doc/sqlite-3.51.3
    cp -v -R sqlite-doc-3510300/* /usr/share/doc/sqlite-3.51.3

## 8.52.2. Contents of Sqlite

Installed programs: sqlite3
Installed libraries: libsqlite3.so
Installed directories: /usr/share/doc/sqlite-3.51.3

### Short Descriptions

sqlite3 | is a terminal-based front-end to the SQLite library that can evaluate queries interactively and display the results
`libsqlite3.so` | contains the SQLite API functions

- Prev

  Libffi-3.5.2

- Next

  Python-3.14.3

- Up
- Home